#
# spec file for package ufw
#

Name:           ufw
Version:        0.33 
Release:        %mkrel 1
Summary:        Uncomplicated Firewall
License:        GPL-3.0
Group:          System/Servers
Url:            http://launchpad.net/%{name}
Source0:        %{name}-%{version}.tar.xz
Source1:        ufw-init
Source2:	ufw.conf
BuildArch:      noarch
#------------------------------
BuildRequires:  iptables
BuildRequires:  python >= 2.7
BuildRequires:  python-devel
#------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

#Requires:       
%description
The Uncomplicated Firewall(ufw) is a front-end for netfilter, which
aims to make it easier for people unfamiliar with firewall concepts.
Ufw provides a framework for managing netfilter as well as 
manipulating the firewall. 

%prep
%setup -q

%build
#nobuild

%install
rm -rf %{buildroot}
python setup.py install --prefix=/usr --root %{buildroot}

mkdir -p $RPM_BUILD_ROOT/etc/init.d/

install -m 0755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/ufw
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/etc/ufw/ufw.conf

ln -fs /etc/init.d/ufw $RPM_BUILD_ROOT%{_sbindir}/rcufw


mkdir -p $RPM_BUILD_ROOT/usr/bin/

ln -s %{_sbindir}/ufw $RPM_BUILD_ROOT/usr/bin/ufw


%preun
%_preun_service ufw

%post
%_post_service ufw


%files
%defattr(-,root,root)
/lib/ufw/ufw-init
/lib/ufw/ufw-init-functions
/lib/ufw/user.rules
/lib/ufw/user6.rules
/usr/lib/python%python_version/site-packages/ufw-%{version}-py%python_version.egg-info
%{_sbindir}/ufw
%{_sbindir}/rcufw
%{_bindir}/ufw

%{_sysconfdir}/init.d/ufw
%{_sysconfdir}/ufw
%{_sysconfdir}/ufw/applications.d
%{_sysconfdir}/default/ufw

%{_datadir}/man/man8/ufw-framework.8.bz2
%{_datadir}/man/man8/ufw.8.bz2

/lib/ufw
/usr/lib/python*/site-packages/ufw
%{_datadir}/ufw
%{_datadir}/ufw/iptables


%clean
rm -rf %{buildroot}

%changelog
* Wed Oct 30 2013 billybot <billybot> 0.33-1pclos2013
- create package
